about

sogo  
fukidasi

  social

Count per Day

  • 193現在の記事:
  • 436今日の閲覧数:
  • 5現在オンライン中の人数:

WordPress plug-in runPHP 2.1b→2.2.2アップグレードに失敗する



少し前からWordpressのバージョン3.0.1を使っているのですが、それに伴い、導入済のプラグインも数種にアップグレードが促されていました。

重い腰を上げ、ひとつづつ順番にアップグレード作業をしてrunPHPの場面での事です。
当然のように以下のようなガイダンスが表示されています。



まぁ、いつも見る画面ですので、なにも気にせず「自動アップグレード」をクリックすると・・・・・さも、アップグレードに成功したかのように表示されています。



ところが・・・・・今度は以下のような見たくもないガイダンスが表示され・・・・・・・



有効化出来ないという事なので手動で有効化してみようと思ったのですが、プラグイン管理の使用中/停止中のどこにもrunPHP2.2.2が存在しないのです。

しかも、この時点で旧バージョンの2.1bはサーバー上から消滅しているわけです。

仕方がないので、一旦、runPHP2.2.2をPC内フォルダにダウンロードし、手動でFTPアップローダを使いアップロードしてみましたが、何故か「有効化」すると先と同じガイダンスが表示され、どこにもrunPHP2.2.2が見当たらなくなります。

私の場合、当サイト内の全記事一覧表示でrunPHPのプラグインを使っていますので、一瞬、途方にくれましたが、ここは頭を切り替え2.2.2というものは最初から存在しないものなんだと自分に言い聞かせ、旧バージョン2.1b(日本語版)を作者さまサイトから
ダウンロード→FTPアップロードで事なきを得ました。

もしかしたら先に導入していたrunPHP2.1bが本家から直接DLしたプラグインではなく、「日本語版」に改良されたものだった事もあって、アップグレードが不可だったのかもしれません。


Pocket

Trackback URL


この記事を共有していただければ嬉しく思います。コメントもお待ちしておりますのでお気軽にどうぞ!
※ドメインを移行しましたら共有数が0にリセットされてしまいましたので、ご協力お願い致します。